(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2004-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of OCamlGen, 4.0+dev0 generated code. *)

let rec printer_xml_positive_rational ctx ppf = function
  | u_t1 -> Upositive_rational_types_print_xml.printer_xml_t ctx ppf u_t1

and printer_xml_t ctx ppf = function
  | p -> printer_xml_positive_rational ctx ppf p
;;

(* Defining top printers. *)

let print_xml_positive_rational ppf =
  printer_xml_positive_rational Og_precedence.Ck_toplevel ppf

and print_xml_t ppf = printer_xml_t Og_precedence.Ck_toplevel ppf
;;

(* End of OCamlGen, 4.0+dev0 generated code. *)
