(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2004-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: unatural_print.ml,v 1.22 2017/05/31 15:24:07 fclement Exp $ *)

let printer_natural ctx ppf = function
  | u_t -> Unatural_types_print.printer_t ctx ppf u_t
;;

let printer_t ctx ppf = function | n -> printer_natural ctx ppf n;;

(* Defining top printers. *)

let print_natural ppf = printer_natural Og_precedence.Ck_toplevel ppf;;

let print_t ppf = printer_t Og_precedence.Ck_toplevel ppf;;
