(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2004-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of OCamlGen, 4.2+dev0 generated code. *)

let rec printer_nonempty_range ctx ppf = function
  | u_n ->
    Upositive_rational_range_types_print.printer_nonempty_range ctx ppf u_n

and printer_t ctx ppf = function
  | u_t -> Upositive_rational_range_types_print.printer_t ctx ppf u_t

and printer_positive_rational_range ctx ppf = function
  | t -> printer_t ctx ppf t
;;

(* Defining top printers. *)

let print_nonempty_range ppf =
  printer_nonempty_range Og_precedence.Ck_toplevel ppf

and print_t ppf = printer_t Og_precedence.Ck_toplevel ppf

and print_positive_rational_range ppf =
  printer_positive_rational_range Og_precedence.Ck_toplevel ppf
;;

(* End of OCamlGen, 4.2+dev0 generated code. *)
