(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2004-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of OCamlGen, 4.0+dev0 generated code. *)

let printer_xml_t ctx ppf = function
  | {
      Upositive_rational_types.numerator = u_t;
      Upositive_rational_types.denominator = u_t0;
    } ->
    ignore ctx; Format.fprintf ppf "%,@[<hv 2><record>@,";
    Format.fprintf ppf "%,@[<hv 2><lident>@,";
    Format.fprintf ppf "%,Upositive_rational_types";
    Format.fprintf ppf "%,@;<0 -2></lident>@]"; Format.fprintf ppf "%,@,";
    Format.fprintf ppf "%,@[<hv 2><numerator>@,";
    Unatural_print_xml.printer_xml_t Og_precedence.Ck_record_field ppf u_t;
    Format.fprintf ppf "%,@;<0 -2></numerator>@]"; Format.fprintf ppf "%,@,";
    Format.fprintf ppf "%,@[<hv 2><denominator>@,";
    Unatural_print_xml.printer_xml_t Og_precedence.Ck_record_field ppf u_t0;
    Format.fprintf ppf "%,@;<0 -2></denominator>@]";
    Format.fprintf ppf "%,@;<0 -2></record>@]"
;;

(* Defining top printers. *)

let print_xml_t ppf = printer_xml_t Og_precedence.Ck_toplevel ppf
;;

(* End of OCamlGen, 4.0+dev0 generated code. *)
